MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028664Community[OCCT] OCCT:Documentationpublic2017-04-19 18:262017-09-29 16:25
ReporterTimo 
Assigned Tobugmaster 
PrioritylowSeveritytext 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028664: Documentation of Graphic3d_CView::Activate and Deactivate does not seem to be correct
DescriptionThe doxygen documentation of Graphic3d_CView::Activate says:
"Activates the view. Map the associated window on the screen and post the view in this window. Warning: Raises ViewDefinitionError if the associated window isn't defined."

When looking at the code, it doesn't seem to deal with the window.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024776closedkgv Open CASCADE Visualization - inherit OpenGl_View from Graphic3d_CView 

-  Notes
(0065364)
kgv (developer)
2017-04-19 18:33

This is an artifact of removed class Visual3d_View.
(0065667)
git (administrator)
2017-05-02 10:23

Branch CR28664 has been created by kgv.

SHA-1: 8f62d2b273df0c3afeb81644423d618105763b2a


Detailed log of new commits:

Author: kgv
Date: Tue May 2 10:22:59 2017 +0300

    0028664: Documentation of Graphic3d_CView::Activate and Deactivate does not seem to be correct
(0065668)
kgv (developer)
2017-05-02 10:23

Patch is ready for review.
(0065763)
san (developer)
2017-05-04 22:14

Branch CR28664 reviewed without remarks, ready for testing.
(0065777)
mkv (tester)
2017-05-05 15:01

Dear ysn,
could you please review.
(0066179)
git (administrator)
2017-05-17 12:47

Branch CR28664 has been updated by ysn.

SHA-1: a570866b0a4bf4ae8974730dd730c8580fad153f


Detailed log of new commits:

Author: ysn
Date: Wed May 17 12:46:51 2017 +0300

    Minor grammar changes.

(0066180)
ysn (developer)
2017-05-17 12:48

reviewed and corrected
(0066182)
kgv (developer)
2017-05-17 12:52

> Author: ysn
> Date: Wed May 17 12:46:51 2017 +0300
> Minor grammar changes.

Hint - I suppose the commit should be:
> // Minor grammar changes.
indicating that the message should be skipped while integrating into master branch (as discussed on last meeting).
(0066183)
mkv (tester)
2017-05-17 13:11

Dear BugMaster,
Branch CR28664 is TESTED.
(0066761)
git (administrator)
2017-05-29 16:05

Branch CR28664 has been deleted by kgv.

SHA-1: a570866b0a4bf4ae8974730dd730c8580fad153f

- Related Changesets
occt: master 46710942
Timestamp: 2017-05-02 07:22:59
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028664: Documentation of Graphic3d_CView::Activate and Deactivate does not seem to be correct
mod - src/Graphic3d/Graphic3d_CView.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-04-19 18:26 Timo New Issue
2017-04-19 18:26 Timo Assigned To => kgv
2017-04-19 18:33 kgv Relationship added child of 0024776
2017-04-19 18:33 kgv Note Added: 0065364
2017-05-02 09:56 kgv Category OCCT:Visualization => OCCT:Documentation
2017-05-02 10:23 git Note Added: 0065667
2017-05-02 10:23 kgv Note Added: 0065668
2017-05-02 10:23 kgv Assigned To kgv => san
2017-05-02 10:23 kgv Status new => resolved
2017-05-04 16:33 kgv Priority normal => low
2017-05-04 22:14 san Note Added: 0065763
2017-05-04 22:14 san Assigned To san => bugmaster
2017-05-04 22:14 san Status resolved => reviewed
2017-05-05 15:01 mkv Note Added: 0065777
2017-05-05 15:01 mkv Assigned To bugmaster => ysn
2017-05-05 15:01 mkv Status reviewed => feedback
2017-05-05 15:02 mkv Test case number => Not needed
2017-05-16 10:04 kgv Note Added: 0066120
2017-05-16 10:04 kgv Note Deleted: 0066120
2017-05-17 12:47 git Note Added: 0066179
2017-05-17 12:48 ysn Note Added: 0066180
2017-05-17 12:48 ysn Assigned To ysn => mkv
2017-05-17 12:48 ysn Status feedback => reviewed
2017-05-17 12:52 kgv Note Added: 0066182
2017-05-17 13:11 mkv Note Added: 0066183
2017-05-17 13:11 mkv Assigned To mkv => bugmaster
2017-05-17 13:11 mkv Status reviewed => tested
2017-05-19 13:25 bugmaster Changeset attached => occt master 46710942
2017-05-19 13:25 bugmaster Status tested => verified
2017-05-19 13:25 bugmaster Resolution open => fixed
2017-05-29 16:05 git Note Added: 0066761
2017-09-29 16:18 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker